org.apache.ignite.plugin.extensions.communication

## Interface MessageFactoryProvider

All Superinterfaces:
  Extension, MessageFactory

All Known Implementing Classes:
  GridIoMessageFactory

    public interface MessageFactoryProvider
    extends MessageFactory

Provider of communication message factories.

Implementation of this interface is responsible for registration of all message factories in `registerAll(org.apache.ignite.plugin.extensions.communication.IgniteMessageFactory)` method.

`registerAll(org.apache.ignite.plugin.extensions.communication.IgniteMessageFactory)` method's call is responsibility of `IgniteMessageFactory` implementation.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default @Nullable Message` `create(short type)` Always throws `UnsupportedOperationException`.
`void` `registerAll(IgniteMessageFactory factory)` Registers all messages factories.

### Method Detail

#### registerAll

    void registerAll(IgniteMessageFactory factory)

Registers all messages factories. See `IgniteMessageFactory.register(short, java.util.function.Supplier<org.apache.ignite.plugin.extensions.communication.Message>)`.

Parameters:
  `factory` - `IgniteMessageFactory` implementation.

#### create

    @Nullable
    default @Nullable Message create(short type)

Always throws `UnsupportedOperationException`.

Specified by:
  `create` in interface `MessageFactory`
Parameters:
  `type` - Message direct type.
Returns:
  Message instance.
Throws:
  `UnsupportedOperationException` - On any invocation.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020